com.massivecraft.factions.util.Particles

## Enum ParticleEffect

- java.lang.Object
- - java.lang.Enum<ParticleEffect>
  - - com.massivecraft.factions.util.Particles.ParticleEffect

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ParticleEffect>

      public enum ParticleEffect
      extends java.lang.Enum<ParticleEffect>

  ParticleEffect Library

  This library was created by @DarkBlade12 and allows you to display all Minecraft particle effects on a Bukkit server

  You are welcome to use it, modify it and redistribute it under the following conditions:

  - Don't claim this class as your own
  - Don't remove this disclaimer

  Special thanks:

  - @microgeek (original idea, names and packet parameters)
  - @ShadyPotato (1.8 names, ids and packet parameters)
  - @RingOfStorms (particle behavior)
  - @Cybermaxke (particle behavior)
  - @JamieSinn (hosting a jenkins server and documentation for particleeffect)

  It would be nice if you provide credit to me if you use this class in a published project

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ParticleEffect.BlockData` Represents the block data for the `BLOCK_CRACK` and `BLOCK_DUST` effects
    `static class` | `ParticleEffect.ItemData` Represents the item data for the `ITEM_CRACK` effect
    `static class` | `ParticleEffect.NoteColor` Represents the color for the `NOTE` effect
    `static class` | `ParticleEffect.OrdinaryColor` Represents the color for effects like `SPELL_MOB`, `SPELL_MOB_AMBIENT` and `NOTE`
    `static class` | `ParticleEffect.ParticleColor` Represents the color for effects like `SPELL_MOB`, `SPELL_MOB_AMBIENT`, `REDSTONE` and `NOTE`
    `static class` | `ParticleEffect.ParticleData` Represents the particle data for effects like `ITEM_CRACK`, `BLOCK_CRACK` and `BLOCK_DUST`
    `static class` | `ParticleEffect.ParticlePacket` Represents a particle effect packet with all attributes which is used for sending packets to the players
    `static class` | `ParticleEffect.ParticleProperty` Represents the property of a particle effect

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BARRIER` A particle effect which is displayed by barriers: It looks like a red box with a slash through it The speed value has no influence on this particle effect
    `BLOCK_CRACK` A particle effect which is displayed when breaking blocks or sprinting: It looks like a little piece with a block texture The speed value has no influence on this particle effect
    `BLOCK_DUST` A particle effect which is displayed when falling: It looks like a little piece with a block texture
    `CLOUD` A particle effect which is displayed when a mob dies: It looks like a large white cloud The speed value influences the velocity at which the particle flies off
    `CRIT` A particle effect which is displayed when landing a critical hit and by arrows: It looks like a light brown cross The speed value influences the velocity at which the particle flies off
    `CRIT_MAGIC` A particle effect which is displayed when landing a hit with an enchanted weapon: It looks like a cyan star The speed value influences the velocity at which the particle flies off
    `DRIP_LAVA` A particle effect which is displayed by blocks beneath a lava source: It looks like an orange drip The speed value has no influence on this particle effect
    `DRIP_WATER` A particle effect which is displayed by blocks beneath a water source: It looks like a blue drip The speed value has no influence on this particle effect
    `ENCHANTMENT_TABLE` A particle effect which is displayed by enchantment tables which are nearby bookshelves: It looks like a cryptic white letter The speed value influences the spread of this particle effect
    `EXPLOSION_HUGE` A particle effect which is displayed by exploding tnt and creepers: It looks like a crowd of gray balls which are fading away The speed value has no influence on this particle effect
    `EXPLOSION_LARGE` A particle effect which is displayed by exploding ghast fireballs and wither skulls: It looks like a gray ball which is fading away The speed value slightly influences the size of this particle effect
    `EXPLOSION_NORMAL` A particle effect which is displayed by exploding tnt and creepers: It looks like a white cloud The speed value influences the velocity at which the particle flies off
    `FIREWORKS_SPARK` A particle effect which is displayed by launching fireworks: It looks like a white star which is sparkling The speed value influences the velocity at which the particle flies off
    `FLAME` A particle effect which is displayed by torches, active furnaces, magma cubes and monster spawners: It looks like a tiny flame The speed value influences the velocity at which the particle flies off
    `FOOTSTEP` A particle effect which is currently unused: It looks like a transparent gray square The speed value has no influence on this particle effect
    `HEART` A particle effect which is displayed when breeding and taming animals: It looks like a red heart The speed value has no influence on this particle effect
    `ITEM_CRACK` A particle effect which is displayed when breaking a tool or eggs hit a block: It looks like a little piece with an item texture
    `ITEM_TAKE` A particle effect which is currently unused: It has no visual effect
    `LAVA` A particle effect which is displayed by lava: It looks like a spark The speed value has no influence on this particle effect
    `MOB_APPEARANCE` A particle effect which is displayed by elder guardians: It looks like the shape of the elder guardian The speed value has no influence on this particle effect The offset values have no influence on this particle effect
    `NOTE` A particle effect which is displayed by note blocks: It looks like a colored note The speed value causes the particle to be colored green when set to 0
    `PORTAL` A particle effect which is displayed by nether portals, endermen, ender pearls, eyes of ender, ender chests and dragon eggs: It looks like a purple cloud The speed value influences the spread of this particle effect
    `REDSTONE` A particle effect which is displayed by redstone ore, powered redstone, redstone torches and redstone repeaters: It looks like a tiny colored cloud The speed value causes the particle to be colored red when set to 0
    `SLIME` A particle effect which is displayed by slimes: It looks like a tiny part of the slimeball icon The speed value has no influence on this particle effect
    `SMOKE_LARGE` A particle effect which is displayed by fire, minecarts with furnace and blazes: It looks like a large gray cloud The speed value influences the velocity at which the particle flies off
    `SMOKE_NORMAL` A particle effect which is displayed by primed tnt, torches, droppers, dispensers, end portals, brewing stands and monster spawners: It looks like a little gray cloud The speed value influences the velocity at which the particle flies off
    `SNOW_SHOVEL` A particle effect which is currently unused: It looks like a tiny white cloud The speed value influences the velocity at which the particle flies off
    `SNOWBALL` A particle effect which is displayed when snowballs hit a block: It looks like a little piece with the snowball texture The speed value has no influence on this particle effect
    `SPELL` A particle effect which is displayed when splash potions or bottles o' enchanting hit something: It looks like a white swirl The speed value causes the particle to only move upwards when set to 0 Only the motion on the y-axis can be controlled, the motion on the x- and z-axis are multiplied by 0.1 when setting the values to 0
    `SPELL_INSTANT` A particle effect which is displayed when instant splash potions hit something: It looks like a white cross The speed value causes the particle to only move upwards when set to 0 Only the motion on the y-axis can be controlled, the motion on the x- and z-axis are multiplied by 0.1 when setting the values to 0
    `SPELL_MOB` A particle effect which is displayed by entities with active potion effects: It looks like a colored swirl The speed value causes the particle to be colored black when set to 0 The particle color gets lighter when increasing the speed and darker when decreasing the speed
    `SPELL_MOB_AMBIENT` A particle effect which is displayed by entities with active potion effects applied through a beacon: It looks like a transparent colored swirl The speed value causes the particle to be always colored black when set to 0 The particle color gets lighter when increasing the speed and darker when decreasing the speed
    `SPELL_WITCH` A particle effect which is displayed by witches: It looks like a purple cross The speed value causes the particle to only move upwards when set to 0 Only the motion on the y-axis can be controlled, the motion on the x- and z-axis are multiplied by 0.1 when setting the values to 0
    `SUSPENDED` A particle effect which is displayed by water: It looks like a tiny blue square The speed value has no influence on this particle effect
    `SUSPENDED_DEPTH` A particle effect which is displayed by air when close to bedrock and the in the void: It looks like a tiny gray square The speed value has no influence on this particle effect
    `TOWN_AURA` A particle effect which is displayed by mycelium: It looks like a tiny gray square The speed value has no influence on this particle effect
    `VILLAGER_ANGRY` A particle effect which is displayed when attacking a villager in a village: It looks like a cracked gray heart The speed value has no influence on this particle effect
    `VILLAGER_HAPPY` A particle effect which is displayed when using bone meal and trading with a villager in a village: It looks like a green star The speed value has no influence on this particle effect
    `WATER_BUBBLE` A particle effect which is displayed by swimming entities and arrows in water: It looks like a bubble The speed value influences the velocity at which the particle flies off
    `WATER_DROP` A particle effect which is displayed when rain hits the ground: It looks like a blue droplet The speed value has no influence on this particle effect
    `WATER_SPLASH` A particle effect which is displayed by swimming entities and shaking wolves: It looks like a blue drop The speed value has no influence on this particle effect
    `WATER_WAKE` A particle effect which is displayed on water when fishing: It looks like a blue droplet The speed value influences the velocity at which the particle flies off

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `display(float offsetX, float offsetY, float offsetZ, float speed, int amount, org.bukkit.Location center, double range)` Displays a particle effect which is only visible for all players within a certain range in the world of @param center
    `void` | `display(float offsetX, float offsetY, float offsetZ, float speed, int amount, org.bukkit.Location center, java.util.List<org.bukkit.entity.Player> players)` Displays a particle effect which is only visible for the specified players
    `void` | `display(float offsetX, float offsetY, float offsetZ, float speed, int amount, org.bukkit.Location center, org.bukkit.entity.Player... players)` Displays a particle effect which is only visible for the specified players
    `void` | `display(ParticleEffect.ParticleColor color, org.bukkit.Location center, double range)` Displays a single particle which is colored and only visible for all players within a certain range in the world of @param center
    `void` | `display(ParticleEffect.ParticleColor color, org.bukkit.Location center, java.util.List<org.bukkit.entity.Player> players)` Displays a single particle which is colored and only visible for the specified players
    `void` | `display(ParticleEffect.ParticleColor color, org.bukkit.Location center, org.bukkit.entity.Player... players)` Displays a single particle which is colored and only visible for the specified players
    `void` | `display(ParticleEffect.ParticleData data, float offsetX, float offsetY, float offsetZ, float speed, int amount, org.bukkit.Location center, double range)` Displays a particle effect which requires additional data and is only visible for all players within a certain range in the world of @param center
    `void` | `display(ParticleEffect.ParticleData data, float offsetX, float offsetY, float offsetZ, float speed, int amount, org.bukkit.Location center, java.util.List<org.bukkit.entity.Player> players)` Displays a particle effect which requires additional data and is only visible for the specified players
    `void` | `display(ParticleEffect.ParticleData data, float offsetX, float offsetY, float offsetZ, float speed, int amount, org.bukkit.Location center, org.bukkit.entity.Player... players)` Displays a particle effect which requires additional data and is only visible for the specified players
    `void` | `display(ParticleEffect.ParticleData data, org.bukkit.util.Vector direction, float speed, org.bukkit.Location center, double range)` Displays a single particle which requires additional data that flies into a determined direction and is only visible for all players within a certain range in the world of @param center
    `void` | `display(ParticleEffect.ParticleData data, org.bukkit.util.Vector direction, float speed, org.bukkit.Location center, java.util.List<org.bukkit.entity.Player> players)` Displays a single particle which requires additional data that flies into a determined direction and is only visible for the specified players
    `void` | `display(ParticleEffect.ParticleData data, org.bukkit.util.Vector direction, float speed, org.bukkit.Location center, org.bukkit.entity.Player... players)` Displays a single particle which requires additional data that flies into a determined direction and is only visible for the specified players
    `void` | `display(org.bukkit.util.Vector direction, float speed, org.bukkit.Location center, double range)` Displays a single particle which flies into a determined direction and is only visible for all players within a certain range in the world of @param center
    `void` | `display(org.bukkit.util.Vector direction, float speed, org.bukkit.Location center, java.util.List<org.bukkit.entity.Player> players)` Displays a single particle which flies into a determined direction and is only visible for the specified players
    `void` | `display(org.bukkit.util.Vector direction, float speed, org.bukkit.Location center, org.bukkit.entity.Player... players)` Displays a single particle which flies into a determined direction and is only visible for the specified players
    `static ParticleEffect` | `fromId(int id)` Returns the particle effect with the given id
    `static ParticleEffect` | `fromName(java.lang.String name)` Returns the particle effect with the given name
    `int` | `getId()` Returns the id of this particle effect
    `java.lang.String` | `getName()` Returns the name of this particle effect
    `int` | `getRequiredVersion()` Returns the required version for this particle effect (1.x)
    `boolean` | `hasProperty(ParticleEffect.ParticleProperty property)` Determine if this particle effect has a specific property
    `boolean` | `isSupported()` Determine if this particle effect is supported by your current server version
    `static ParticleEffect` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ParticleEffect[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPLOSION_NORMAL

          public static final ParticleEffect EXPLOSION_NORMAL

      A particle effect which is displayed by exploding tnt and creepers:
      - It looks like a white cloud
      - The speed value influences the velocity at which the particle flies off

    - #### EXPLOSION_LARGE

          public static final ParticleEffect EXPLOSION_LARGE

      A particle effect which is displayed by exploding ghast fireballs and wither skulls:
      - It looks like a gray ball which is fading away
      - The speed value slightly influences the size of this particle effect

    - #### EXPLOSION_HUGE

          public static final ParticleEffect EXPLOSION_HUGE

      A particle effect which is displayed by exploding tnt and creepers:
      - It looks like a crowd of gray balls which are fading away
      - The speed value has no influence on this particle effect

    - #### FIREWORKS_SPARK

          public static final ParticleEffect FIREWORKS_SPARK

      A particle effect which is displayed by launching fireworks:
      - It looks like a white star which is sparkling
      - The speed value influences the velocity at which the particle flies off

    - #### WATER_BUBBLE

          public static final ParticleEffect WATER_BUBBLE

      A particle effect which is displayed by swimming entities and arrows in water:
      - It looks like a bubble
      - The speed value influences the velocity at which the particle flies off

    - #### WATER_SPLASH

          public static final ParticleEffect WATER_SPLASH

      A particle effect which is displayed by swimming entities and shaking wolves:
      - It looks like a blue drop
      - The speed value has no influence on this particle effect

    - #### WATER_WAKE

          public static final ParticleEffect WATER_WAKE

      A particle effect which is displayed on water when fishing:
      - It looks like a blue droplet
      - The speed value influences the velocity at which the particle flies off

    - #### SUSPENDED

          public static final ParticleEffect SUSPENDED

      A particle effect which is displayed by water:
      - It looks like a tiny blue square
      - The speed value has no influence on this particle effect

    - #### SUSPENDED_DEPTH

          public static final ParticleEffect SUSPENDED_DEPTH

      A particle effect which is displayed by air when close to bedrock and the in the void:
      - It looks like a tiny gray square
      - The speed value has no influence on this particle effect

    - #### CRIT

          public static final ParticleEffect CRIT

      A particle effect which is displayed when landing a critical hit and by arrows:
      - It looks like a light brown cross
      - The speed value influences the velocity at which the particle flies off

    - #### CRIT_MAGIC

          public static final ParticleEffect CRIT_MAGIC

      A particle effect which is displayed when landing a hit with an enchanted weapon:
      - It looks like a cyan star
      - The speed value influences the velocity at which the particle flies off

    - #### SMOKE_NORMAL

          public static final ParticleEffect SMOKE_NORMAL

      A particle effect which is displayed by primed tnt, torches, droppers, dispensers, end portals, brewing stands and monster spawners:
      - It looks like a little gray cloud
      - The speed value influences the velocity at which the particle flies off

    - #### SMOKE_LARGE

          public static final ParticleEffect SMOKE_LARGE

      A particle effect which is displayed by fire, minecarts with furnace and blazes:
      - It looks like a large gray cloud
      - The speed value influences the velocity at which the particle flies off

    - #### SPELL

          public static final ParticleEffect SPELL

      A particle effect which is displayed when splash potions or bottles o' enchanting hit something:
      - It looks like a white swirl
      - The speed value causes the particle to only move upwards when set to 0
      - Only the motion on the y-axis can be controlled, the motion on the x- and z-axis are multiplied by 0.1 when setting the values to 0

    - #### SPELL_INSTANT

          public static final ParticleEffect SPELL_INSTANT

      A particle effect which is displayed when instant splash potions hit something:
      - It looks like a white cross
      - The speed value causes the particle to only move upwards when set to 0
      - Only the motion on the y-axis can be controlled, the motion on the x- and z-axis are multiplied by 0.1 when setting the values to 0

    - #### SPELL_MOB

          public static final ParticleEffect SPELL_MOB

      A particle effect which is displayed by entities with active potion effects:
      - It looks like a colored swirl
      - The speed value causes the particle to be colored black when set to 0
      - The particle color gets lighter when increasing the speed and darker when decreasing the speed

    - #### SPELL_MOB_AMBIENT

          public static final ParticleEffect SPELL_MOB_AMBIENT

      A particle effect which is displayed by entities with active potion effects applied through a beacon:
      - It looks like a transparent colored swirl
      - The speed value causes the particle to be always colored black when set to 0
      - The particle color gets lighter when increasing the speed and darker when decreasing the speed

    - #### SPELL_WITCH

          public static final ParticleEffect SPELL_WITCH

      A particle effect which is displayed by witches:
      - It looks like a purple cross
      - The speed value causes the particle to only move upwards when set to 0
      - Only the motion on the y-axis can be controlled, the motion on the x- and z-axis are multiplied by 0.1 when setting the values to 0

    - #### DRIP_WATER

          public static final ParticleEffect DRIP_WATER

      A particle effect which is displayed by blocks beneath a water source:
      - It looks like a blue drip
      - The speed value has no influence on this particle effect

    - #### DRIP_LAVA

          public static final ParticleEffect DRIP_LAVA

      A particle effect which is displayed by blocks beneath a lava source:
      - It looks like an orange drip
      - The speed value has no influence on this particle effect

    - #### VILLAGER_ANGRY

          public static final ParticleEffect VILLAGER_ANGRY

      A particle effect which is displayed when attacking a villager in a village:
      - It looks like a cracked gray heart
      - The speed value has no influence on this particle effect

    - #### VILLAGER_HAPPY

          public static final ParticleEffect VILLAGER_HAPPY

      A particle effect which is displayed when using bone meal and trading with a villager in a village:
      - It looks like a green star
      - The speed value has no influence on this particle effect

    - #### TOWN_AURA

          public static final ParticleEffect TOWN_AURA

      A particle effect which is displayed by mycelium:
      - It looks like a tiny gray square
      - The speed value has no influence on this particle effect

    - #### NOTE

          public static final ParticleEffect NOTE

      A particle effect which is displayed by note blocks:
      - It looks like a colored note
      - The speed value causes the particle to be colored green when set to 0

    - #### PORTAL

          public static final ParticleEffect PORTAL

      A particle effect which is displayed by nether portals, endermen, ender pearls, eyes of ender, ender chests and dragon eggs:
      - It looks like a purple cloud
      - The speed value influences the spread of this particle effect

    - #### ENCHANTMENT_TABLE

          public static final ParticleEffect ENCHANTMENT_TABLE

      A particle effect which is displayed by enchantment tables which are nearby bookshelves:
      - It looks like a cryptic white letter
      - The speed value influences the spread of this particle effect

    - #### FLAME

          public static final ParticleEffect FLAME

      A particle effect which is displayed by torches, active furnaces, magma cubes and monster spawners:
      - It looks like a tiny flame
      - The speed value influences the velocity at which the particle flies off

    - #### LAVA

          public static final ParticleEffect LAVA

      A particle effect which is displayed by lava:
      - It looks like a spark
      - The speed value has no influence on this particle effect

    - #### FOOTSTEP

          public static final ParticleEffect FOOTSTEP

      A particle effect which is currently unused:
      - It looks like a transparent gray square
      - The speed value has no influence on this particle effect

    - #### CLOUD

          public static final ParticleEffect CLOUD

      A particle effect which is displayed when a mob dies:
      - It looks like a large white cloud
      - The speed value influences the velocity at which the particle flies off

    - #### REDSTONE

          public static final ParticleEffect REDSTONE

      A particle effect which is displayed by redstone ore, powered redstone, redstone torches and redstone repeaters:
      - It looks like a tiny colored cloud
      - The speed value causes the particle to be colored red when set to 0

    - #### SNOWBALL

          public static final ParticleEffect SNOWBALL

      A particle effect which is displayed when snowballs hit a block:
      - It looks like a little piece with the snowball texture
      - The speed value has no influence on this particle effect

    - #### SNOW_SHOVEL

          public static final ParticleEffect SNOW_SHOVEL

      A particle effect which is currently unused:
      - It looks like a tiny white cloud
      - The speed value influences the velocity at which the particle flies off

    - #### SLIME

          public static final ParticleEffect SLIME

      A particle effect which is displayed by slimes:
      - It looks like a tiny part of the slimeball icon
      - The speed value has no influence on this particle effect

    - #### HEART

          public static final ParticleEffect HEART

      A particle effect which is displayed when breeding and taming animals:
      - It looks like a red heart
      - The speed value has no influence on this particle effect

    - #### BARRIER

          public static final ParticleEffect BARRIER

      A particle effect which is displayed by barriers:
      - It looks like a red box with a slash through it
      - The speed value has no influence on this particle effect

    - #### ITEM_CRACK

          public static final ParticleEffect ITEM_CRACK

      A particle effect which is displayed when breaking a tool or eggs hit a block:
      - It looks like a little piece with an item texture

    - #### BLOCK_CRACK

          public static final ParticleEffect BLOCK_CRACK

      A particle effect which is displayed when breaking blocks or sprinting:
      - It looks like a little piece with a block texture
      - The speed value has no influence on this particle effect

    - #### BLOCK_DUST

          public static final ParticleEffect BLOCK_DUST

      A particle effect which is displayed when falling:
      - It looks like a little piece with a block texture

    - #### WATER_DROP

          public static final ParticleEffect WATER_DROP

      A particle effect which is displayed when rain hits the ground:
      - It looks like a blue droplet
      - The speed value has no influence on this particle effect

    - #### ITEM_TAKE

          public static final ParticleEffect ITEM_TAKE

      A particle effect which is currently unused:
      - It has no visual effect

    - #### MOB_APPEARANCE

          public static final ParticleEffect MOB_APPEARANCE

      A particle effect which is displayed by elder guardians:
      - It looks like the shape of the elder guardian
      - The speed value has no influence on this particle effect
      - The offset values have no influence on this particle effect

  - ### Method Detail

    - #### values

          public static ParticleEffect[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParticleEffect c : ParticleEffect.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParticleEffect valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromName

          public static ParticleEffect fromName(java.lang.String name)

      Returns the particle effect with the given name
      Parameters:
        `name` - Name of the particle effect
      Returns:
        The particle effect

    - #### fromId

          public static ParticleEffect fromId(int id)

      Returns the particle effect with the given id
      Parameters:
        `id` - Id of the particle effect
      Returns:
        The particle effect

    - #### getName

          public java.lang.String getName()

      Returns the name of this particle effect
      Returns:
        The name

    - #### getId

          public int getId()

      Returns the id of this particle effect
      Returns:
        The id

    - #### getRequiredVersion

          public int getRequiredVersion()

      Returns the required version for this particle effect (1.x)
      Returns:
        The required version

    - #### hasProperty

          public boolean hasProperty(ParticleEffect.ParticleProperty property)

      Determine if this particle effect has a specific property
      Returns:
        Whether it has the property or not

    - #### isSupported

          public boolean isSupported()

      Determine if this particle effect is supported by your current server version
      Returns:
        Whether the particle effect is supported or not

    - #### display

          public void display(float offsetX,
                              float offsetY,
                              float offsetZ,
                              float speed,
                              int amount,
                              org.bukkit.Location center,
                              double range)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException,
                              java.lang.IllegalArgumentException

      Displays a particle effect which is only visible for all players within a certain range in the world of @param center
      Parameters:
        `offsetX` - Maximum distance particles can fly away from the center on the x-axis
        `offsetY` - Maximum distance particles can fly away from the center on the y-axis
        `offsetZ` - Maximum distance particles can fly away from the center on the z-axis
        `speed` - Display speed of the particles
        `amount` - Amount of particles
        `center` - Center location of the effect
        `range` - Range of the visibility
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect requires additional data
        `java.lang.IllegalArgumentException` - If the particle effect requires water and none is at the center location
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `ParticleEffect.ParticlePacket`, `ParticleEffect.ParticlePacket.sendTo(Location, double)`

    - #### display

          public void display(float offsetX,
                              float offsetY,
                              float offsetZ,
                              float speed,
                              int amount,
                              org.bukkit.Location center,
                              java.util.List<org.bukkit.entity.Player> players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException,
                              java.lang.IllegalArgumentException

      Displays a particle effect which is only visible for the specified players
      Parameters:
        `offsetX` - Maximum distance particles can fly away from the center on the x-axis
        `offsetY` - Maximum distance particles can fly away from the center on the y-axis
        `offsetZ` - Maximum distance particles can fly away from the center on the z-axis
        `speed` - Display speed of the particles
        `amount` - Amount of particles
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect requires additional data
        `java.lang.IllegalArgumentException` - If the particle effect requires water and none is at the center location
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `ParticleEffect.ParticlePacket`, `ParticleEffect.ParticlePacket.sendTo(Location, List)`

    - #### display

          public void display(float offsetX,
                              float offsetY,
                              float offsetZ,
                              float speed,
                              int amount,
                              org.bukkit.Location center,
                              org.bukkit.entity.Player... players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException,
                              java.lang.IllegalArgumentException

      Displays a particle effect which is only visible for the specified players
      Parameters:
        `offsetX` - Maximum distance particles can fly away from the center on the x-axis
        `offsetY` - Maximum distance particles can fly away from the center on the y-axis
        `offsetZ` - Maximum distance particles can fly away from the center on the z-axis
        `speed` - Display speed of the particles
        `amount` - Amount of particles
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect requires additional data
        `java.lang.IllegalArgumentException` - If the particle effect requires water and none is at the center location
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `display(float, float, float, float, int, Location, List)`

    - #### display

          public void display(org.bukkit.util.Vector direction,
                              float speed,
                              org.bukkit.Location center,
                              double range)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException,
                              java.lang.IllegalArgumentException

      Displays a single particle which flies into a determined direction and is only visible for all players within a certain range in the world of @param center
      Parameters:
        `direction` - Direction of the particle
        `speed` - Display speed of the particle
        `center` - Center location of the effect
        `range` - Range of the visibility
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect requires additional data
        `java.lang.IllegalArgumentException` - If the particle effect is not directional or if it requires water and none is at the center location
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `ParticlePacket#ParticlePacket(ParticleEffect, Vector, float, boolean, ParticleData)`, `ParticleEffect.ParticlePacket.sendTo(Location, double)`

    - #### display

          public void display(org.bukkit.util.Vector direction,
                              float speed,
                              org.bukkit.Location center,
                              java.util.List<org.bukkit.entity.Player> players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException,
                              java.lang.IllegalArgumentException

      Displays a single particle which flies into a determined direction and is only visible for the specified players
      Parameters:
        `direction` - Direction of the particle
        `speed` - Display speed of the particle
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect requires additional data
        `java.lang.IllegalArgumentException` - If the particle effect is not directional or if it requires water and none is at the center location
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `ParticlePacket#ParticlePacket(ParticleEffect, Vector, float, boolean, ParticleData)`, `ParticleEffect.ParticlePacket.sendTo(Location, List)`

    - #### display

          public void display(org.bukkit.util.Vector direction,
                              float speed,
                              org.bukkit.Location center,
                              org.bukkit.entity.Player... players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException,
                              java.lang.IllegalArgumentException

      Displays a single particle which flies into a determined direction and is only visible for the specified players
      Parameters:
        `direction` - Direction of the particle
        `speed` - Display speed of the particle
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect requires additional data
        `java.lang.IllegalArgumentException` - If the particle effect is not directional or if it requires water and none is at the center location
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `display(Vector, float, Location, List)`

    - #### display

          public void display(ParticleEffect.ParticleColor color,
                              org.bukkit.Location center,
                              double range)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleColorException

      Displays a single particle which is colored and only visible for all players within a certain range in the world of @param center
      Parameters:
        `color` - Color of the particle
        `center` - Center location of the effect
        `range` - Range of the visibility
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleColorException` - If the particle effect is not colorable or the color type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleColorException`
      See Also:
        `ParticlePacket#ParticlePacket(ParticleEffect, ParticleColor, boolean)`, `ParticleEffect.ParticlePacket.sendTo(Location, double)`

    - #### display

          public void display(ParticleEffect.ParticleColor color,
                              org.bukkit.Location center,
                              java.util.List<org.bukkit.entity.Player> players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleColorException

      Displays a single particle which is colored and only visible for the specified players
      Parameters:
        `color` - Color of the particle
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleColorException` - If the particle effect is not colorable or the color type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleColorException`
      See Also:
        `ParticlePacket#ParticlePacket(ParticleEffect, ParticleColor, boolean)`, `ParticleEffect.ParticlePacket.sendTo(Location, List)`

    - #### display

          public void display(ParticleEffect.ParticleColor color,
                              org.bukkit.Location center,
                              org.bukkit.entity.Player... players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleColorException

      Displays a single particle which is colored and only visible for the specified players
      Parameters:
        `color` - Color of the particle
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleColorException` - If the particle effect is not colorable or the color type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleColorException`
      See Also:
        `display(ParticleColor, Location, List)`

    - #### display

          public void display(ParticleEffect.ParticleData data,
                              float offsetX,
                              float offsetY,
                              float offsetZ,
                              float speed,
                              int amount,
                              org.bukkit.Location center,
                              double range)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException

      Displays a particle effect which requires additional data and is only visible for all players within a certain range in the world of @param center
      Parameters:
        `data` - Data of the effect
        `offsetX` - Maximum distance particles can fly away from the center on the x-axis
        `offsetY` - Maximum distance particles can fly away from the center on the y-axis
        `offsetZ` - Maximum distance particles can fly away from the center on the z-axis
        `speed` - Display speed of the particles
        `amount` - Amount of particles
        `center` - Center location of the effect
        `range` - Range of the visibility
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect does not require additional data or if the data type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `ParticleEffect.ParticlePacket`, `ParticleEffect.ParticlePacket.sendTo(Location, double)`

    - #### display

          public void display(ParticleEffect.ParticleData data,
                              float offsetX,
                              float offsetY,
                              float offsetZ,
                              float speed,
                              int amount,
                              org.bukkit.Location center,
                              java.util.List<org.bukkit.entity.Player> players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException

      Displays a particle effect which requires additional data and is only visible for the specified players
      Parameters:
        `data` - Data of the effect
        `offsetX` - Maximum distance particles can fly away from the center on the x-axis
        `offsetY` - Maximum distance particles can fly away from the center on the y-axis
        `offsetZ` - Maximum distance particles can fly away from the center on the z-axis
        `speed` - Display speed of the particles
        `amount` - Amount of particles
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect does not require additional data or if the data type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `ParticleEffect.ParticlePacket`, `ParticleEffect.ParticlePacket.sendTo(Location, List)`

    - #### display

          public void display(ParticleEffect.ParticleData data,
                              float offsetX,
                              float offsetY,
                              float offsetZ,
                              float speed,
                              int amount,
                              org.bukkit.Location center,
                              org.bukkit.entity.Player... players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException

      Displays a particle effect which requires additional data and is only visible for the specified players
      Parameters:
        `data` - Data of the effect
        `offsetX` - Maximum distance particles can fly away from the center on the x-axis
        `offsetY` - Maximum distance particles can fly away from the center on the y-axis
        `offsetZ` - Maximum distance particles can fly away from the center on the z-axis
        `speed` - Display speed of the particles
        `amount` - Amount of particles
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect does not require additional data or if the data type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `display(ParticleData, float, float, float, float, int, Location, List)`

    - #### display

          public void display(ParticleEffect.ParticleData data,
                              org.bukkit.util.Vector direction,
                              float speed,
                              org.bukkit.Location center,
                              double range)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException

      Displays a single particle which requires additional data that flies into a determined direction and is only visible for all players within a certain range in the world of @param center
      Parameters:
        `data` - Data of the effect
        `direction` - Direction of the particle
        `speed` - Display speed of the particles
        `center` - Center location of the effect
        `range` - Range of the visibility
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect does not require additional data or if the data type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `ParticleEffect.ParticlePacket`, `ParticleEffect.ParticlePacket.sendTo(Location, double)`

    - #### display

          public void display(ParticleEffect.ParticleData data,
                              org.bukkit.util.Vector direction,
                              float speed,
                              org.bukkit.Location center,
                              java.util.List<org.bukkit.entity.Player> players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException

      Displays a single particle which requires additional data that flies into a determined direction and is only visible for the specified players
      Parameters:
        `data` - Data of the effect
        `direction` - Direction of the particle
        `speed` - Display speed of the particles
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect does not require additional data or if the data type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `ParticleEffect.ParticlePacket`, `ParticleEffect.ParticlePacket.sendTo(Location, List)`

    - #### display

          public void display(ParticleEffect.ParticleData data,
                              org.bukkit.util.Vector direction,
                              float speed,
                              org.bukkit.Location center,
                              org.bukkit.entity.Player... players)
                       throws com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException,
                              com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException

      Displays a single particle which requires additional data that flies into a determined direction and is only visible for the specified players
      Parameters:
        `data` - Data of the effect
        `direction` - Direction of the particle
        `speed` - Display speed of the particles
        `center` - Center location of the effect
        `players` - Receivers of the effect
      Throws:
        `ParticleVersionException` - If the particle effect is not supported by the server version
        `ParticleDataException` - If the particle effect does not require additional data or if the data type is incorrect
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleVersionException`
        `com.massivecraft.factions.util.Particles.ParticleEffect.ParticleDataException`
      See Also:
        `display(ParticleData, Vector, float, Location, List)`